
Ruby - Bug #15152

Thread Crashes

09/23/2018 11:16 PM - Durrell (Durrell Chamorro)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.5.1 and 2.4.4 Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

When I run my rails test suite with the parallel_test gem a thread crashes. The test suite completely passes when I don't run the tests

in parallel and it also works fine when I run unit tests in parallel, but if I run enough system tests with rspec using Capybara driven by

Selenium using Chrome on a Puma server I always get a crash. On my Mac I'm able to use my computer after the crash, but my

Ubuntu 18.04 computer completely freezes up and I have to force it to restart.

History

#1 - 09/25/2018 08:30 PM - Durrell (Durrell Chamorro)

It turns out the Ubuntu computer was freezing due to an unstable overclock of the RAM. Perhaps the thread crashed because my code or a library I'm

using is not thread safe.

#2 - 06/20/2019 03:35 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Closed

Files

ruby_2018-09-23-153311-1_Durrells-MacBook-Pro.crash 121 KB 09/23/2018 Durrell (Durrell Chamorro)
